import * as types from "../actionTypes";
import axios from "axios";

const authRequest = () => ({
	type: types.AUTH_REQUEST
});

const authRequestSuccess = payload => ({
	type: types.AUTH_REQUEST_SUCCESS,
	payload
});

const authRequestFail = payload => ({
	type: types.AUTH_REQUEST_FAIL,
	payload
});

export const auth = payload => {
	return dispatch => {
		dispatch(authRequest());

		axios({
			method: "POST",
			url: "http://subdomain.entony.fs.a-level.com.ua/api/auth/login",
			data: payload
		})
			.then(res => dispatch(authRequestSuccess(res)))
			.catch(err => dispatch(authRequestFail(err)));
	};
};
