import React, { Component } from "react";
import { connect } from "react-redux";
import { auth } from "../actions/auth";

import AuthForm from "../components/auth";

class Auth extends Component {
	state = { auth: true };

	toggleAuthProperty = () => this.setState(prevState => ({ ...prevState, auth: !prevState.auth }));

	render() {
		const { auth } = this.state;
		const { isFetching, user } = this.props;
		console.log("user");
		return (
			<div>
				<div>
					{isFetching && <div>Loading...</div>}
					{auth ? <AuthForm submitEvent={this.props.auth} /> : <div>register</div>}

					{auth ? (
						<button onClick={this.toggleAuthProperty}>Do you have accaunt ?</button>
					) : (
						<button onClick={this.toggleAuthProperty}>I already have an account</button>
					)}

					{user && (
						<div>
							<h3>
								{user.local.firstName}
								{user.local.lastName}
							</h3>
						</div>
					)}
				</div>
			</div>
		);
	}
}

const mapStateToProps = state => {
	console.log("STATE", state);
	return {
		isFetching: state.auth.isFetching,
		user: state.auth.user
	};
};

export default connect(
	mapStateToProps,
	{ auth }
)(Auth);
